ch.qos.logback.core.util

## Class DatePatternToRegexUtil

- java.lang.Object
- - ch.qos.logback.core.util.DatePatternToRegexUtil

    public class DatePatternToRegexUtil
    extends java.lang.Object

This class is concerned with computing a regex corresponding to a date pattern (in `SimpleDateFormat` format).

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`DatePatternToRegexUtil(java.lang.String datePattern)`

### Method Summary

Methods
`java.lang.String` `toRegex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatePatternToRegexUtil

    public DatePatternToRegexUtil(java.lang.String datePattern)

### Method Detail

#### toRegex

    public java.lang.String toRegex()